> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove allocated IPs

> Use the Bright Data Reseller API to remove Allocated IPs. DELETE /api/{partner}/ips returns a 200 OK JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller DELETE /api/{PARTNER_NAME}/ips
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/ips:
    delete:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: id
          description: Valid customer `id`
          required: true
          schema:
            type: string
        - in: query
          name: zone
          description: Existing zone name
          required: false
          schema:
            type: string
            default: hq_static_res
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ips
              properties:
                ips:
                  type: array
                  items:
                    type: string
                  example:
                    - 1.1.1.1
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````